unit Unit1;

interface

uses
  Forms,
    Classes, Controls, Dialogs, StdCtrls, Menus;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    SaveDialog1: TSaveDialog;
    OpenDialog1: TOpenDialog;
    FontDialog1: TFontDialog;
    MainMenu1: TMainMenu;
    N1: TMenuItem;
    N3: TMenuItem;
    N5: TMenuItem;
    N8: TMenuItem;
    N2: TMenuItem;
    N4: TMenuItem;
    N6: TMenuItem;
    procedure N1Click(Sender: TObject);
    procedure N5Click(Sender: TObject);
    procedure N8Click(Sender: TObject);
    procedure N4Click(Sender: TObject);
    procedure N6Click(Sender: TObject);
    procedure N3Click(Sender: TObject);
    procedure New1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.dfm}

procedure TForm1.New1Click(Sender: TObject);
begin
memo1.Clear;
end;

procedure TForm1.Open1Click(Sender: TObject);
begin
if opendialog1.Execute then
memo1.Lines.LoadFromFile(opendialog1.FileName);
end;

procedure TForm1.N1Click(Sender: TObject);
begin
if savedialog1.Execute then
memo1.Lines.SaveToFile(savedialog1.FileName);
end;

procedure TForm1.N5Click(Sender: TObject);
begin
memo1.Undo;
end;

procedure TForm1.N8Click(Sender: TObject);
begin
if fontdialog1.Execute then
memo1.Font:= fontdialog1.Font;
end;

procedure TForm1.N4Click(Sender: TObject);
begin
Application.MessageBox('  ???     , ?', '!')
end;

procedure TForm1.N6Click(Sender: TObject);
begin
aboutbox.Show;
end;


procedure TForm1.N3Click(Sender: TObject);
begin
application.Terminate;
end;


end.
